Subject: Re: [net-next PATCH v4 1/3] net: TCP thin-stream detection

From: Hagen Paul Pfeifer <[email-masked]>
Date: Mon, 22 Feb 2010 17:06:25 +0100

On Mon, 22 Feb 2010 16:17:33 +0100, Andi Kleen <[email-masked]> wrote:

> Lars Eggert <[email-masked]> writes:

>> If it's off by default there is no issue.

> Still a sufficient large number of people might turn it on

> and then the network would melt.

Then we should apply the same policy as used for the congestion control

algorithms!? Restrict the usage to change the standard behavior via Kconfig

(e.g. menuconfig TCP_CONG_ADVANCED) or even more restricted demand for

CAP_NET_ADMIN.

Hagen